Subject: Re: [RFC] powerpc: experimental of serial port driver

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 09 Dec 2006 07:50:04 +1100

On Fri, 2006-12-08 at 14:41 +0000, David Woodhouse wrote:
> On Fri, 2006-12-08 at 15:43 +1100, Benjamin Herrenschmidt wrote:
> > I'd rather call it 8250_of.c and have it be specific to 8250's.
> 
> Didn't we already do that once?

Not really, right now, we use a platform driver (though it should work,
again, I'm not completely sure why we need that at all).

legacy_serial.c should be detecting all 8250 type ports at boot, init
them, setup a udbg console for them, and later on, register them as
platform devices with the 8250 driver. The problem right now is that the
code in there will only do that for known busses, which doesn't include
opb. So we should just fix it for opb and things should work.

Ben.